IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'[dbo].[sp_fdt_baja_embargos]') 
AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
   DROP PROCEDURE dbo.sp_fdt_baja_embargos
GO
CREATE PROCEDURE dbo.sp_fdt_baja_embargos
(
    @pch_compania    char(4),
    @pch_trabajador  char(10),
    @psi_concepto    smallint,
    @pti_secuencia   tinyint
)
AS
BEGIN
    UPDATE fdt_embargos
    SET situacion = 2, fecha_baja = getdate()
    WHERE compania = @pch_compania And
          trabajador = @pch_trabajador And
          concepto = @psi_concepto And
          secuencia = @pti_secuencia

    IF @@ERROR <> 0 
        RAISERROR 206800 'Error al actualizar la situacion de la tabla [MF_Embargos]'
END

GO

GRANT EXECUTE ON sp_fdt_baja_embargos TO PUBLIC